<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */


namespace Kufer\Web\KuferTools\Veranstalter\KursUebersicht\Detailsreiter\Honorar\DozentenVertrag;

use Kufer\Web\KuferTools\Utils\StatusMessages\StatusMessage;

class DozVertragAbsendenController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new DozVertragAbsendenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new DozVertragAbsendenRequest();
    $requestObj->dozHonId = \PostOperations::getVarValue('items', '');
    
    $requestObj->dozHonObj = \PostOperations::getVarValue('dozHonObj');

    $action = $this->getActionVal();

    return $this->handleXsrf($requestObj, $action, $requestObj->dozHonId);
  }

  
  protected function getPresenter($pUseCaseResponse)
  {
    return null;
  }

  
  protected function getControllerToForward($pUseCaseResponse)
  {
    

    $statusMessageContainer = $pUseCaseResponse->statusMessageContainer;
    


    
    return new \Kufer\Web\KuferTools\Veranstalter\KursUebersicht\KursDetails\KursDetailsExternController($statusMessageContainer);
  }

  
}